API Request

엔드포인트

https://api-kr.iwinv.kr

호출 제한

60 requests / per minute : 분당 60회 요청

인증

Header NameDescription
X-iwinv-Timestamp
  • UTC(1970-01-01 00:00:00) 기준 경과 시간(초 단위)
  • 서버 기준 시간과 5분 이상 차이 발생 시 요청은 유효하지 않습니다.
X-iwinv-Credential
  • iwinv 콘솔에서 발급받은 Access Key (접근 키)
X-iwinv-Signature
  • iwinv 콘솔에서 발급받은 Secret Key를 사용하여 Timestamp 와 Path 를 암호화한 서명 값

서명(Signature) 생성 규칙

❗️

경로(Path)의 끝에는 슬래시(/)를 포함하지 마십시오.
Query parameters는 실제 요청 시에만 포함하며,
서명(Signature) 계산 시에는 포함하지 않습니다.

$timestamp = time();
$path = "/v1/example/param1/param2";
$secretKey = "your_secret_key";

$signature = hash_hmac('sha256', $timestamp.$path, $secretKey);

// 결과
// signature = abcdef123456...

// 주의: $timestamp와 $path를 이어 붙일 때 문자열 연결 연산자(.)를 사용합니다.
timestamp=1710000000
accessKey="test_access_key"
signature="abcdef123456"
path="/v1/example/param1/param2"
query_param="?fields=1023"

curl -X GET \
-H "X-iwinv-Timestamp:$timestamp" \
-H "X-iwinv-Credential:$accessKey" \
-H "X-iwinv-Signature:$signature" \
"https://api-kr.iwinv.kr$path$query_param"

# 참고: API 서버 호출 시 위와 같이 헤더 정보를 포함하여 요청해야 합니다.